<?php

class pns_add_settings_page_class {
	
	
	private $pns_notices_admin_page = 'pns_general_settings';
	private $pns_notices_options_key = 'pns_plugin_options';
	private $pns_notices_settings_page = 'pns_advanced_settings';
	private $pns_plugin_settings_tab = array();
	
	
	public function __construct() {
		add_action( 'init', array( $this, 'load_settings' ) );
		add_action( 'admin_init', array( $this, 'pns_register_notices_settings' ) );
		add_action( 'admin_init', array( $this, 'pns_register_settings_settings' ) );
		add_action( 'admin_menu', array( $this, 'add_admin_menus' ) ,100);
		add_action( 'admin_enqueue_scripts', array($this, 'pns_register_admin_scripts'));
	}
	
	
	public function load_settings() {
		$this->general_settings = (array) get_option( $this->pns_notices_admin_page );
		$this->advanced_settings = (array) get_option( $this->pns_notices_settings_page );
		
		
		
	}
	
	/*
	 * registers admin scripts via admin enqueue scripts
	 */
	public function pns_register_admin_scripts($hook) {
	        global $general_pnssettings_page;
			
			if( $hook != $general_pnssettings_page ) 
		     return;
 
		 wp_enqueue_script( 'jquery-1.8.3', ''.pns_PLUGIN_URL.'assets/js/jquery-1.8.3.js');
		 wp_enqueue_script( 'pnsadmin', ''.pns_PLUGIN_URL.'assets/js/pnsadmin.js' );
		 wp_enqueue_script( 'chosen.jquery', ''.pns_PLUGIN_URL.'assets/js/chosen.jquery.js' );
		 wp_enqueue_script( 'bootstrap-min', ''.pns_PLUGIN_URL.'assets/js/bootstrap-min.js' );
		 wp_enqueue_script( 'bootstrap-datepicker', ''.pns_PLUGIN_URL.'assets/js/bootstrap-datepicker.js' );
         wp_enqueue_style( 'pnsadmin', ''.pns_PLUGIN_URL.'assets/css/pnsadmin.css' );
		 wp_enqueue_style( 'datepicker', ''.pns_PLUGIN_URL.'assets/css/datepicker.css' );
		 wp_enqueue_style ( 'bootstrap',''.pns_PLUGIN_URL.'assets/css/bootstrap.css');
		 wp_enqueue_style ( 'chosen.min',''.pns_PLUGIN_URL.'assets/css/chosen.min.css');
		 
		 $pns_js_array = array( 
		    'removealert' => __( 'Are you sure you want to delete?' ,'woomatrix-pcn'),
		    'cartnotice' => __( 'Cart Notice ' ,'woomatrix-pcn'),
		    'message1' => __( 'Add <strong>{remaining_amount}</strong> more to cart and get free shipping! ' ,'woomatrix-pcn'),
		    'message2' => __( 'Add <strong>{remaining_quantity}</strong> quantity more from <strong>{products}</strong> to get free shipping! ' ,'woomatrix-pcn'),
		    'message3' => __( 'Add <strong>{remaining_quantity}</strong> quantity from <strong>{notice_cats}</strong> categories to cart and get free shipping! ' ,'woomatrix-pcn'),
		    'message4' => __( 'Add <strong>{remaining_amount}</strong> more to cart in order to use Coupon <strong>{coupon_code}</strong> ' ,'woomatrix-pcn'),
		    'message5' => __( '' ,'woomatrix-pcn'),
		    'message6' => __( 'Order before <strong>{deadline_hour}</strong> today to get instant shipping ! ' ,'woomatrix-pcn'),
		    'placeholder' => __( 'Search and Select ' ,'woomatrix-pcn')
		 );

         wp_localize_script( 'pnsadmin', 'pnsadmin', $pns_js_array );
	}
	
	
	public function pns_register_notices_settings() {
		$this->pns_plugin_settings_tab[$this->pns_notices_admin_page] = 'Cart Notices';
		
		register_setting( $this->pns_notices_admin_page, $this->pns_notices_admin_page );
		add_settings_section( 'pns_general_section', '', '', $this->pns_notices_admin_page );
		add_settings_field( 'general_option', '', array( &$this, 'load_cart_notices_admin' ), $this->pns_notices_admin_page, 'pns_general_section' );
	}
	
	
	public function pns_register_settings_settings() {

		$this->pns_plugin_settings_tab[$this->pns_notices_settings_page] = 'Settings';

		

		register_setting( $this->pns_notices_settings_page, $this->pns_notices_settings_page );

		add_settings_section( 'pns_advance_section', '', '', $this->pns_notices_settings_page );

		add_settings_field( 'advanced_option', '', array( &$this, 'load_cart_settings_admin' ), $this->pns_notices_settings_page, 'pns_advance_section' );

	}
	

	
	
    /*
     * Cart Notices  tab Content 
     * includes form fiel from forms folder
     */
	
	public function load_cart_notices_admin() {
	 

       include ('forms/pns_cart_notices_admin_form.php');
		
	}
	

	/*
     * Cart Notices settings  tab Content 
     * includes form fiel from forms folder
     */
	
	public function load_cart_settings_admin() { 

	   include ('forms/pns_cart_notices_settings_form.php');
		   
	}
	
	
	/*
     * Adds Admin Menu "cart notices"
     * global $general_pnssettings_page is used to include page specific scripts
     */

	public function add_admin_menus() {
	    global $general_pnssettings_page;

	    $general_pnssettings_page = add_submenu_page( 'woocommerce', __('Cart Notices'), __('Cart Notices'), 'manage_woocommerce', $this->pns_notices_options_key, array(&$this, 'plugin_options_page'));
	}
	
	
	public function plugin_options_page() {
		$tab = isset( $_GET['tab'] ) ? $_GET['tab'] : $this->pns_notices_admin_page;
		?>
		<div class="wrap">
		   <?php $this->pns_options_tab_wrap(); ?>
			<form method="post" action="options.php">
				<?php wp_nonce_field( 'update-options' ); ?>
				<?php settings_fields( $tab ); ?>
				<?php do_settings_sections( $tab ); ?>
				<center><input type="submit" name="submit" id="submit" class="btn btn-success" value="<?php _e('Save Changes','woomatrix-pcn'); ?>"></center>
			</form>
		</div>
		<?php
	}


	
	public function pns_options_tab_wrap() {

		$current_tab = isset( $_GET['tab'] ) ? $_GET['tab'] : $this->pns_notices_admin_page;

        echo '<h2 class="nav-tab-wrapper">';

		foreach ( $this->pns_plugin_settings_tab as $tab_key => $tab_caption ) {

			$active = $current_tab == $tab_key ? 'nav-tab-active' : '';

			echo '<a class="nav-tab ' . $active . '" href="?page=' . $this->pns_notices_options_key . '&tab=' . $tab_key . '">' . $tab_caption . '</a>';	

		}

		echo '</h2>';

	}
	
	

}


new pns_add_settings_page_class();
?>